<template>
  <v-container fluid class="app-cities">
    <h3 class="display-1 text-center font-weight-bold mt-5 accent--text">
      How it works
    </h3>
    <v-row align="center" justify="center" class="pb-5 mb-5 pt-2">
      <v-col cols="12" md="10">
        <span class="body-1 d-flex justify-center align-center text-center font-weight-regular">
          Find Your Next Apartment works with hundreds of Apartment communities in Dallas, Houston,
          Austin and San Antonio to find you the perfect home.Our up-to-date property availability and pricing
          data to help you find the top deals, values, and the true cost of your next apartment.
          Our unique database and years of knowledge provide rental amenities, fees, neighborhood info, school
          districts, pet restrictions and more — everything easy to access, upfront.
        </span>
      </v-col>
    </v-row>
    <v-row>
      <v-col v-for="(step, idx) in steps" :key="idx" md="3" cols="12">
        <v-card
          elevation="12"
          style="border: 1px solid var(--v-accent-base);"
          class="py-5 d-flex justify-start align-center flex-column"
          height="320"
        >
          <v-img class="center" contain max-height="80" :src="step.img">
            <template v-slot:placeholder>
              <v-row
                class="fill-height ma-0"
                align="center"
                justify="center"
              >
                <div class="lds-ripple">
                  <div /><div />
                </div>
              </v-row>
            </template>
          </v-img>
          <v-card-title class="text-center justify-center no-break-word">
            {{ step.name }}
          </v-card-title>
          <v-card-text class="text-center justify-center no-break-word">
            {{ step.info }}
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'
const steps = [
  {
    name: 'Chat with an Expert Agent',
    info: 'Share your move-in date, budget and wish-list, then sit back and let our team find options that suit your needs.',
    img: require('@/assets/img/chat.png')
  },
  {
    name: 'Tour Favorite Places',
    info: 'We’ll coordinate your tour schedule and even join you if you’d like. All you have to do is apply once you find the perfect fit.',
    img: require('@/assets/img/tour.png')
  },
  {
    name: 'Make Your Move',
    info: "Sign the lease, notify your leasing agent and we'll follow up with the property ensure a smooth move into your new home.",
    img: require('@/assets/img/make.png')
  },
  {
    name: 'Claim Your Reward up to $200',
    info: 'Just mention “Find your next apartment” on your rental application and on guest card when you visit the apartment communities. That’s all there is to it.',
    img: require('@/assets/img/claim.png')
  }
]
export default defineComponent({
  setup () {
    return {
      steps
    }
  }
})
</script>
